<html lang="en">
<head>
<title>Options - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Language-basics.html#Language-basics" title="Language basics">
<link rel="prev" href="Arithmetic.html#Arithmetic" title="Arithmetic">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Options"></a>Previous:&nbsp;<a rel="previous" accesskey="p" href="Arithmetic.html#Arithmetic">Arithmetic</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Language-basics.html#Language-basics">Language basics</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.1.5 Options</h4>

<p><a name="index-options-248"></a><strong>Syntax:</strong>
<pre class="example">     [<var>key1</var>=<var>val1</var>,<var>key2</var>=<var>val2</var>,...]
</pre>
   <p class="noindent">Options are used to specify details of the appearance of drawables. 
As shown above, they are given as comma-separated key-value
pairs.

<ul class="menu">
<li><a accesskey="1" href="PSTricks-options.html#PSTricks-options">PSTricks options</a>:             Options inherited from <code>PSTricks</code>. 
<li><a accesskey="2" href="TikZ_002fPGF-options.html#TikZ_002fPGF-options">TikZ/PGF options</a>:             Options inherited from <code>TikZ/PGF</code>. 
<li><a accesskey="3" href="Dots-in-TikZ_002fPGF.html#Dots-in-TikZ_002fPGF">Dots in TikZ/PGF</a>:             Sketch uses <code>TikZ/PGF</code> circles for dots. 
<li><a accesskey="4" href="TikZ_002fPGF-user_002ddefined-styles.html#TikZ_002fPGF-user_002ddefined-styles">TikZ/PGF user-defined styles</a>:   Support for <code>TikZ/PGF</code> named, user-defined styles. 
<li><a accesskey="5" href="Transparency.html#Transparency">Transparency</a>:                 See-through polygons. 
<li><a accesskey="6" href="Internal-options.html#Internal-options">Internal options</a>:             Options used by <code>sketch</code>. 
</ul>

   </body></html>

